/***************************************************************/
/*                                                             */
/*            Convert MU and PHI estimates from A to Q         */
/*                                                             */
/*                       Frank Schorfheide                     */
/*                                                             */
/***************************************************************/

/* Filename:  convpara.g
** created:   05/31/01
*/

closeall;
library pgraph;
cls;

/* Initialize Output files
*/
mhrun  = "1";
lpath  = "c:\\projects\\active\\persist\\gauss\\prog_p03\\results\\";
lpara  = lpath $+ "mp_par" $+mhrun;

open fhpara = ^lpara for read;

pararow = readr(fhpara,1);
npara   = cols(pararow);
pararow = seekr(fhpara,1);

omuphi = lpath $+ "mu_phiq" $+ mhrun;

vnames = { MU_q PHI_q };
create fhmuphi = ^omuphi with ^vnames, 2, 8;

eofloop = 0;
nread   = 5000;
ndraws  = 0;
loopct  = 0;

do until eofloop; 

   parasim = readr( fhpara, nread);
   phi     = parasim[.,3]^(1/4);
   mu      = parasim[.,2].*(1-phi)./(1-parasim[.,3]);

   wr = writer(fhmuphi,mu~phi);

   loopct = loopct + 1;
   locate 1,1;
   "Iteration" loopct;

   eofloop = eof(fhpara);

endo;

closeall fhpara, fhmuphi;
