/******************************************************************/
/*                                                                */
/*              Plot the impulse response functions               */
/*                                                                */
/*                        Frank Schorfheide                       */
/*                                                                */
/******************************************************************/

/* filename: irfplot.g
** created:  06/05/01
*/

new;
library pgraph;
cls;


nirf  = 40;                /* number of impulse responses */
nsim  = 1;
ti    = seqa(1,1,nirf);

/* Read Posterior Simulation Summary Files
*/
lpath = "c:\\projects\\active\\persist\\gauss\\prog_t03\\results\\";

mhrun  = "1";

titlestr = "Output / Trans Shock" $|
           "Hours / Trans Shock"  $|
           "Output / Perm Shock"  $|     
           "Hours / Perm Shock"   ;

yticinfo = ( -0.2 ~ 1 ~ 0.2 ~ 2 )|
           ( -0.2 ~ 1 ~ 0.2 ~ 2 )|
           ( -0.2 ~ 1.6 ~ 0.2 ~ 2 )|
           ( -0.2 ~ 1 ~ 0.2 ~ 2 );

irfid    = "12" $| "22" $| "11" $| "21";  
modelid  = "m11" $| "m21" $| "m22";
modelname = "RBC Model" $| "LBD (Prior 1) Model" $| "LBD (Prior 2) Model";

/* Plot Impulse Response Functions
*/

   graphset;
   begwind;
   margin(0,0,0.2,0.2);
   window(4,3,0);
   fonts("microb");
   _ptitlht = 0.4;
   _paxht = 0.4;
   _pnumht = 0.3;
   _pcolor =2 ;
   _pltype = {6 1 2 2 1 3};
   _pltype = {6 1 2 2 3}; 
   _protate = 1;
   _plctrl = 0;
   _plwidth = 3.5;
   _psymsiz = 5;


   /*
   _plegstr = legendstr; 
   _plegctl = {2 4 2.3 5.2};
   */

   ylabel("Percent");   

   i = 1;
   do until i > 4;

    m=1;
    do until m > 3;

      /* Load VAR impulse responses
      */
      osummary       = lpath $+ "m01" $+ "c" $+ irfid[i] $+ mhrun $+ "s";
      open fhsummary = ^osummary for read;
      m0irf = readr(fhsummary,1)';
      seekr(fhsummary,3+nirf);
      m0band = readr(fhsummary,2)';
      closeall fhsummary;
            
      /* Load DSGE impulse responses
      */
      osummary       = lpath $+ modelid[m] $+ "c" $+ irfid[i] $+ mhrun $+ "s";
      open fhsummary = ^osummary for read;
      m_irf = readr(fhsummary,1)';
      seekr(fhsummary,3+nirf);
      m_band = readr(fhsummary,2)';
      closeall fhsummary;
      
      if i == 1;
         title(modelname[m]);
      else;
         title("");
      endif;
      
      if m == 1;
         ylabel(titlestr[i]);
      else;
         ylabel("");
      endif;
      
      ytics(yticinfo[i,1], yticinfo[i,2], yticinfo[i,3], yticinfo[i,4]);   
      _pline = (1 ~ 6 ~ 0 ~ 0 ~ 40 ~ 0 ~ 4 ~ 1);
      xy(ti,m_irf ~ m0irf ~m0band);
      nextwind;

      m = m+1;
     endo;
      
    i = i+1;
   endo;
   endwind;

 